Subject: bug#17505: Pádraig: does this solve your consistency concern? (was bug#17505: dd statistics output)

From: Christian Groessler <[email-masked]>
Date: Mon, 28 Jul 2014 19:54:22 +0200

On 07/27/14 19:11, Linda Walsh wrote:
> It is more common to specify transfer sizes in SI and mean IEC if you
> are in the US where the digital computer was created.
>
> People in the US have not adopted SI units and many wouldn't know
> a meter from a molehill, so SI units aren't the first thing that
> they are likely to be meaning.  Computer scientists and the industry 
> here,
> grew up with using IEC prefixes where multiples of 8 are already in
> use.  I.e. if you are talking *bytes*, you are using base 2.

I didn't grow up in the US, and grew up with the metric system, but when I'm
talking about memory sizes I always mean IEC (2^10) and never SI (10^3).
The only pitfall here are hard disk sizes where I have to remember that 
"they"
mean SI.

>
> It is inconsistent to switch to decimal prefixes when talking about
> binary numbers.

Agreed.

>
>
>
>> BTW I was playing devil's advocate with my mention of the SIGUSR1 
>> inconsistency.
>> I'm still of the opinion that the dynamic switch of human units based on
>> current transferred amount is the lesser of two evils, since this output
>> is destined for human consumption.

I don't get the reason for the dynamic switch at all. Can somebody 
enlighten me?

regards,
chris